Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/ShowEventsWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/ShowEventsWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/ShowEventsWidget.java	(revision 51030)
@@ -52,6 +52,7 @@
 //    private FlowPanel showEventsListColPanel = new FlowPanel();
 //    private FlowPanel showEventsInnerPanel = new FlowPanel();
 //    private FlowPanel showEventsBox = new FlowPanel();
+    private HTML title = new HTML();
     private FlowPanel showEventsBoxContent = new FlowPanel();
 
 //    private FlowPanel showAdvancedSearchColPanel = new FlowPanel();
@@ -69,7 +70,6 @@
 
         super();
 
-        HTML title = new HTML("<h1 class=\"uk-article-title\">Events for topic " + topic + "</h1>");
         title.addStyleName("uk-margin-medium-bottom");
         contentPanel.add(title);
 
@@ -137,6 +137,9 @@
 
         Document.get().getElementById("headerNoTransparent").removeClassName("tm-header-transparent");
 
+        title.setHTML("<h1 class=\"uk-article-title\">" + dataSource + "</h1><div class=\"uk-text uk-text-small uk-text-secondary\">" +
+                topic.replace("/", "  |  ") + "</div>");
+
         advQueryObject.setDatasource(dataSource);
         advQueryObject.setTopic(topic);
 
@@ -218,8 +221,8 @@
 
         final FlowPanel advancedSearch = new FlowPanel();
         advancedSearch.addStyleName("enrichContentAdvancedSearch uk-card uk-card-body uk-card-default sidemenu");
-        advancedSearch.add(new HTML("<h4 class=\"uk-h4 uk-text-primary uk-scrollspy-inview uk-animation-slide-top-medium\"" +
-                "uk-scrollspy-class=\"\"><span>Advanced search</span></h4>"));
+        advancedSearch.add(new HTML("<h6 class=\"uk-h6 uk-text-primary uk-scrollspy-inview uk-animation-slide-top-medium\"" +
+                "uk-scrollspy-class=\"\"><span>Tweak and refine events</span></h4>"));
         advancedSearch.add(enrichContentAdvancedSearchForm.asWidget());
 
         return advancedSearch;
@@ -300,8 +303,8 @@
                 to = eventsPage.getTotal();
 
             HTML numberOfResultsLabel = new HTML("<span>Showing " + from + "-" + to + " of " + eventsPage.getTotal() + " results</span>" +
-                    "<span class=\"uk-float-right\"><button id=\"subscribe\" style=\"\" type=\"button\" class=\"uk-button btn-success\">" +
-                    "Subscribe to these events</button></span>");
+                    "<span class=\"uk-float-right\"><button id=\"subscribe\" style=\"\" type=\"button\" class=\"uk-button " +
+                    "uk-button-primary uk-button-small\">Subscribe to these events</button></span>");
             numberOfResultsLabel.addStyleName("numberOfEventsLabel");
             eventsList.add(numberOfResultsLabel);
 
@@ -399,7 +402,7 @@
 
         // ID
         payloadContent += "<tr class=\"el-item\">" +
-                "<td class=\"uk-table-shrink\">" +
+                "<td class=\"uk-table-shrink uk-width-1-4\">" +
                 "<strong class=\"el-title uk-display-block\">ID</strong>" +
                 "</td>" +
                 "<td class=\"uk-table-shrink\">\n" +
@@ -409,7 +412,7 @@
 
 
         // TITLES
-        payloadContent += "<tr class=\"el-item\"><td class=\"uk-table-shrink\"><strong class=\"el-title uk-display-block\">" +
+        payloadContent += "<tr class=\"el-item\"><td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
                 "Title(s)</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
 
         for(int i=0; i<openAireEventPayload.getPublication().getTitles().size(); i++) {
@@ -421,12 +424,12 @@
 
 
         // AUTHORS
-        payloadContent += "<tr class=\"el-item\"><td class=\"uk-table-shrink\"><strong class=\"el-title uk-display-block\">" +
+        payloadContent += "<tr class=\"el-item\"><td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
                 "Author(s)</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
 
         for(int i=0; i<openAireEventPayload.getPublication().getCreators().size(); i++) {
             if(i!=0)
-                payloadContent += "<br>";
+                payloadContent += " | ";
             payloadContent += "<span>" + openAireEventPayload.getPublication().getCreators().get(i) + "</span>";
         }
         payloadContent += "</div></td></tr>";
@@ -439,7 +442,7 @@
             payloadContent += "<tr class=\"el-item\">";
         }
 
-        payloadContent += "<td class=\"uk-table-shrink\"><strong class=\"el-title uk-display-block\">" +
+        payloadContent += "<td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
                 "PID(s)</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
 
         for(Pid pid : openAireEventPayload.getPublication().getPids()) {
@@ -478,7 +481,7 @@
             payloadContent += "<tr class=\"el-item\">";
         }
 
-        payloadContent += "<td class=\"uk-table-shrink\"><strong class=\"el-title uk-display-block\">" +
+        payloadContent += "<td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
                 "Abstract(s)</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
 
         for(int i=0; i<openAireEventPayload.getPublication().getAbstracts().size(); i++) {
@@ -512,7 +515,7 @@
             payloadContent += "<tr class=\"el-item\">";
         }
 
-        payloadContent += "<td class=\"uk-table-shrink\"><strong class=\"el-title uk-display-block\">" +
+        payloadContent += "<td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
                 "Project(s)/Relation(s)</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
 
         for(int i=0; i<openAireEventPayload.getPublication().getProjects().size(); i++) {
@@ -544,36 +547,50 @@
 
         // SUBJECTS
         if(openAireEventPayload.getHighlight().getSubjects()!=null && !openAireEventPayload.getHighlight().getSubjects().isEmpty()) {
+
             payloadContent += "<tr class=\"el-item success\">";
-        } else {
-            payloadContent += "<tr class=\"el-item\">";
-        }
 
-        payloadContent += "<td class=\"uk-table-shrink\"><strong class=\"el-title uk-display-block\">" +
-                "Subject(s)</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
+            payloadContent += "<td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
+                    "Subject(s)</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
 
-        for(int i=0; i<openAireEventPayload.getPublication().getSubjects().size(); i++) {
-            if(i!=0)
-                payloadContent += "<br>";
-            payloadContent += "<span>" + openAireEventPayload.getPublication().getSubjects().get(i) + "</span>";
+            for(int i=0; i<openAireEventPayload.getPublication().getSubjects().size(); i++) {
+                if(i!=0)
+                    payloadContent += "<br>";
+                payloadContent += "<span>" + openAireEventPayload.getPublication().getSubjects().get(i) + "</span>";
 
-            if(openAireEventPayload.getHighlight().getSubjects()!=null && !openAireEventPayload.getHighlight().getSubjects().isEmpty()
-                    && openAireEventPayload.getProvenance()!=null) {
+                if(openAireEventPayload.getHighlight().getSubjects()!=null && !openAireEventPayload.getHighlight().getSubjects().isEmpty()
+                        && openAireEventPayload.getProvenance()!=null) {
 
-                payloadContent += "<span class=\"pull-right\">" +
-                        "<b>from: </b>";
-                if (openAireEventPayload.getProvenance().getUrl() != null) {
-                    payloadContent += "<a href=\"" + openAireEventPayload.getProvenance().getUrl() + "\" target=\"_blank\">" +
-                            openAireEventPayload.getProvenance().getRepositoryName() + "</a>";
+                    payloadContent += "<span class=\"pull-right\">" +
+                            "<b>from: </b>";
+                    if (openAireEventPayload.getProvenance().getUrl() != null) {
+                        payloadContent += "<a href=\"" + openAireEventPayload.getProvenance().getUrl() + "\" target=\"_blank\">" +
+                                openAireEventPayload.getProvenance().getRepositoryName() + "</a>";
+                    }
+                    if (openAireEventPayload.getProvenance().getId() != null) {
+                        payloadContent += "<span> (ID: " + openAireEventPayload.getProvenance().getId() + ")</span>";
+                    }
+
+                    payloadContent += "</span>";
                 }
-                if (openAireEventPayload.getProvenance().getId() != null) {
-                    payloadContent += "<span> (ID: " + openAireEventPayload.getProvenance().getId() + ")</span>";
-                }
+            }
+            payloadContent += "</div></td></tr>";
 
-                payloadContent += "</span>";
+        } else {
+
+            payloadContent += "<tr class=\"el-item\">";
+
+            payloadContent += "<td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
+                    "Subject(s)</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
+
+            for(int i=0; i<openAireEventPayload.getPublication().getSubjects().size(); i++) {
+                if(i!=0)
+                    payloadContent += ", ";
+                payloadContent += "<span>" + openAireEventPayload.getPublication().getSubjects().get(i) + "</span>";
+
             }
+            payloadContent += "</div></td></tr>";
         }
-        payloadContent += "</div></td></tr>";
 
 
         // PUBLICATION DATE
@@ -584,7 +601,7 @@
             payloadContent += "<tr class=\"el-item\">";
         }
 
-        payloadContent += "<td class=\"uk-table-shrink\"><strong class=\"el-title uk-display-block\">" +
+        payloadContent += "<td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
                 "Publication date</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">" +
                 openAireEventPayload.getPublication().getPublicationdate() +
                 "</div></td></tr>";
@@ -598,7 +615,7 @@
             payloadContent += "<tr class=\"el-item\">";
         }
 
-        payloadContent += "<td class=\"uk-table-shrink\"><strong class=\"el-title uk-display-block\">" +
+        payloadContent += "<td class=\"uk-table-shrink uk-width-1-4\"><strong class=\"el-title uk-display-block\">" +
                 "Rights</strong></td><td class=\"uk-table-shrink\"><div class=\"el-title\">";
 
         for(int i=0; i<openAireEventPayload.getPublication().getInstances().size(); i++) {
@@ -682,7 +699,7 @@
 
                 FlowPanel modalContent = new FlowPanel();
 
-                HTML title = new HTML("<h2 class=\"uk-modal-title\">Create subscription</h2>\n");
+                HTML title = new HTML("<h2 class=\"uk-modal-title\">Create subscription for</h2>\n");
                 modalContent.add(title);
 
                 final EventsSubscriptionForm eventsSubscriptionForm = new EventsSubscriptionForm(advQueryObject);
@@ -727,7 +744,7 @@
                                 public void onSuccess(Subscription result) {
 
                                     successAlert.setVisible(true);
-                                    successAlert.setText("A subscription for these events was created successfully");
+                                    successAlert.setText("Your subscription was successful");
 
                                     subscribeToEvents.hide();
                                     subscribeToEvents.removeFromParent();
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/BrowseSubscriptionsWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/BrowseSubscriptionsWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/BrowseSubscriptionsWidget.java	(revision 51030)
@@ -6,6 +6,7 @@
 import com.google.gwt.event.dom.client.ClickHandler;
 import com.google.gwt.query.client.Function;
 import com.google.gwt.user.client.Event;
+import com.google.gwt.user.client.Window;
 import com.google.gwt.user.client.rpc.AsyncCallback;
 import com.google.gwt.user.client.ui.FlowPanel;
 import com.google.gwt.user.client.ui.HTML;
@@ -84,7 +85,7 @@
         browseSubscriptionsBoxContent.addStyleName("loading-big");
         browseSubscriptionsBoxContent.add(loadingWheel);
 
-        brokerService.getSubscriptionsOfUser(RepositoryManager.currentUser.getEmail(),
+        brokerService.getSimpleSubscriptionsOfUser(RepositoryManager.currentUser.getEmail(),
                 new AsyncCallback<Map<String, List<SimpleSubscriptionDesc>>>() {
             @Override
             public void onFailure(Throwable caught) {
@@ -252,6 +253,8 @@
 
                         clear();
                         reload();
+
+                        Window.scrollTo(0, 0);
                     }
                 });
             }
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/EventsSubscriptionForm.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/EventsSubscriptionForm.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/enrichcontent/EventsSubscriptionForm.java	(revision 51030)
@@ -41,6 +41,9 @@
         errorLabel.setDismissable(false);
         subscriptionFormPanel.add(errorLabel);
 
+        subscriptionFormPanel.add(new HTML("<h4 class=\"uk-h4\">" + this.advQueryObject.getDatasource() + "</h4>" +
+                "<div class=\"uk-text uk-text-small uk-text-secondary\">" + this.advQueryObject.getTopic().replace("/", "  |  ") + "</div>"));
+
         subscriptionFormPanel.add(subscriptionForm);
 
         HTML userEmail = new HTML(RepositoryManager.currentUser.getEmail());
@@ -52,10 +55,10 @@
             frequencyListBox.addItem(notificationFrequency.name(), notificationFrequency.name());
         subscriptionForm.add(frequencyListFormGroup);
 
-        modeListBox.addItem("-- none selected --", "noneSelected");
-        for(NotificationMode notificationMode : NotificationMode.values())
-            modeListBox.addItem(notificationMode.name(), notificationMode.name());
-        subscriptionForm.add(modeListFormGroup);
+//        modeListBox.addItem("-- none selected --", "noneSelected");
+//        for(NotificationMode notificationMode : NotificationMode.values())
+//            modeListBox.addItem(notificationMode.name(), notificationMode.name());
+//        subscriptionForm.add(modeListFormGroup);
 
         HTML options = new HTML();
         options.setHTML(generateOptionsContent());
@@ -72,8 +75,8 @@
 
         errorLabel.setVisible(false);
 
-        if(!frequencyListBox.getSelectedValue().equals("noneSelected") &&
-                !modeListBox.getSelectedValue().equals("noneSelected"))
+        if(!frequencyListBox.getSelectedValue().equals("noneSelected"))
+//                && !modeListBox.getSelectedValue().equals("noneSelected"))
             return true;
         else {
             errorLabel.setVisible(true);
@@ -98,15 +101,15 @@
 
         String optionsContent = "<table class=\"table table-bordered\">";
 
-        optionsContent += "<thead><tr><th>Name</th><th>Values</th></tr></thead>";
+//        optionsContent += "<thead><tr><th>Name</th><th>Values</th></tr></thead>";
         optionsContent += "<tbody>";
 
-        if(advQueryObject.getDatasource()!=null && !advQueryObject.getDatasource().equals(""))
-            optionsContent += "<tr><td>Datasource</td><td>" + advQueryObject.getDatasource() + "</td></tr>";
+//        if(advQueryObject.getDatasource()!=null && !advQueryObject.getDatasource().equals(""))
+//            optionsContent += "<tr><td>Datasource</td><td>" + advQueryObject.getDatasource() + "</td></tr>";
+//
+//        if(advQueryObject.getTopic()!=null && !advQueryObject.getTopic().equals(""))
+//            optionsContent += "<tr><td>Topic</td><td>" + advQueryObject.getTopic() + "</td></tr>";
 
-        if(advQueryObject.getTopic()!=null && !advQueryObject.getTopic().equals(""))
-            optionsContent += "<tr><td>Topic</td><td>" + advQueryObject.getTopic() + "</td></tr>";
-
         if(advQueryObject.getTrust()!=null)
             optionsContent += "<tr><td>Trust</td><td>[" + advQueryObject.getTrust().getMin() + ", " + advQueryObject.getTrust().getMax() + "]</td></tr>";
 
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/TokenController.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/TokenController.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/TokenController.java	(revision 51030)
@@ -1,5 +1,6 @@
 package eu.dnetlib.repo.manager.client;
 
+import com.google.gwt.user.client.Window;
 import com.google.gwt.user.client.ui.FlowPanel;
 
 import java.util.HashMap;
@@ -57,6 +58,8 @@
 
         contentPanel.add(widget.asWidget());
 
+        Window.scrollTo(0, 0);
+
         widget.afterAdditionToRootPanel();
     }
 }
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/utils/SelectRepositoryWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/utils/SelectRepositoryWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/utils/SelectRepositoryWidget.java	(revision 51030)
@@ -176,7 +176,7 @@
             }
         });
 
-        form.add(new MyFormGroup(false, "Select repository's country", countriesListBox));
+        form.add(new MyFormGroup(false, "Country", countriesListBox));
 
         autocomplete.setValueChangeHandler(new ValueChangeHandler() {
             @Override
@@ -205,7 +205,7 @@
             }
         });
         autocomplete.setEnabled(false);
-        form.add(new MyFormGroup(false, "Start typing in the name of your repository to narrow down the view", autocomplete));
+        form.add(new MyFormGroup(false, "Search by repository name", autocomplete));
 
         selectRepositoryPanel.add(form);
 
Index: modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/register/SelectRepositoryTypeWidget.java
===================================================================
--- modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/register/SelectRepositoryTypeWidget.java	(revision 51029)
+++ modules/uoa-repository-manager-gui/branches/aai/src/main/java/eu/dnetlib/repo/manager/client/datasources/register/SelectRepositoryTypeWidget.java	(revision 51030)
@@ -69,7 +69,7 @@
 
         String content = "";
 
-        content += "<div class=\"uk-margin uk-grid\" uk-grid=\"\">\n" +
+        content += "<div class=\"uk-margin uk-grid repositoryTypeSelection\" uk-grid=\"\">\n" +
                 "\t<div class=\"uk-width-expand@m uk-width-1-2@s uk-grid-item-match uk-first-column\">\n" +
                 "    \t<div class=\"uk-text-center uk-card uk-card-default uk-card-hover uk-scrollspy-inview uk-animation-slide-top-medium\" uk-scrollspy-class=\"\" data-id=\"page#38\" style=\"\">\n" +
                 "        \t<a href=\"#registerDatasource/literature\" class=\"el-link uk-position-cover uk-margin-remove-adjacent\"></a>\n" +
@@ -77,7 +77,7 @@
                 "                <img src=\"img/Literature_repos_square.png\" class=\"el-image\" alt=\"\" style=\"width: 100%\">\n" +
                 "            </div>        \n" +
                 "            <div class=\"uk-card-body\">\n" +
-                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Literature Repository</h3>\n" +
+                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Make sure your repository is already registered in OpenDOAR, the authoritative directory of institutional and thematic OA repositories.</h3>\n" +
                 "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\"><a href=\"http://www.opendoar.org\" target=\"_blank\">List provided by <br>OpenDOAR<i class=\"fa fa-external-link\" style=\"margin-left:3px\"></i></a></div>\n" +
                 "            </div>\n" +
                 "\t\t</div>\n" +
@@ -90,7 +90,7 @@
                 "                <img src=\"img/Data_repos_sqare.png\" class=\"el-image\" alt=\"\" style=\"width: 100%\">\n" +
                 "            </div>        \n" +
                 "            <div class=\"uk-card-body\">\n" +
-                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Data Repository</h3>\n" +
+                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Make sure your data repository is registered in Re3Data, the global registry of research data repositories from different academic disciplines. </h3>\n" +
                 "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\"><a href=\"http://www.re3data.org\" target=\"_blank\">List provided by <br>Re3data<i class=\"fa fa-external-link\" style=\"margin-left:3px\"></i></a></div>\n" +
                 "            </div>\n" +
                 "\t\t</div>\n" +
@@ -102,8 +102,8 @@
                 "            \t<img src=\"img/OAJournals_square.png\" class=\"el-image\" alt=\"\" style=\"width: 100%\">\n" +
                 "            </div>        \n" +
                 "            <div class=\"uk-card-body\">\n" +
-                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Journal</h3>\n" +
-                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\">Lorem ipsum dolor sit amet, consectetur adipiscing elit...</div>\n" +
+                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Make sure that your Open Access Journal is compatible with the OpenAIRE literature Guidelines.</h3>\n" +
+                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\"><a href=\"https://www.openaire.eu/helpdesk/\" target=\"_blank\">For any questions please contact the OpenAIRE helpdesk.<i class=\"fa fa-external-link\" style=\"margin-left:3px\"></i></a></div>\n" +
                 "            </div>\n" +
                 "\t\t</div>\n" +
                 "\t</div>\n" +
@@ -114,8 +114,8 @@
                 "            \t<img src=\"img/Icons_Aggregators_square.png\" class=\"el-image\" alt=\"\" style=\"width: 100%\">\n" +
                 "            </div>        \n" +
                 "            <div class=\"uk-card-body\">\n" +
-                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Aggregator</h3>\n" +
-                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\">Lorem ipsum dolor sit amet, consectetur adipiscing elit...</div>\n" +
+                "                <h3 class=\"el-title uk-margin uk-card-title uk-margin-remove-adjacent uk-margin-small-bottom\">Make sure that your publications aggregator is compatible with the OpenAIRE literature Guidelines.</h3>\n" +
+                "\t\t\t\t<div class=\"el-meta uk-margin uk-text-meta\"><a href=\"https://www.openaire.eu/helpdesk/\" target=\"_blank\">For any questions please contact the OpenAIRE helpdesk.<i class=\"fa fa-external-link\" style=\"margin-left:3px\"></i></a></div>\n" +
                 "            </div>\n" +
                 "\t\t</div>\n" +
                 "\t</div>\n" +
